<?php

// phpcs:disable Wptopr.NamingConventions.NamespaceName.TooLong
namespace Wptopr\WP\SEO\User_Meta\Framework\Additional_Contactmethods;

use Wptopr\WP\SEO\User_Meta\Domain\Additional_Contactmethod_Interface;

/**
 * The Tumblr contactmethod.
 */
class Tumblr implements Additional_Contactmethod_Interface {

	/**
	 * Returns the key of the Tumblr contactmethod.
	 *
	 * @return string The key of the Tumblr contactmethod.
	 */
	public function get_key(): string {
		return 'tumblr';
	}

	/**
	 * Returns the label of the Tumblr field.
	 *
	 * @return string The label of the Tumblr field.
	 */
	public function get_label(): string {
		return \__( 'Tumblr profile URL', 'wordpress-seo' );
	}
}
